%define	major	1
%define libname	%mklibname user %{major}
%define develname %mklibname user -d

Summary:	A user and group account administration library
Name:		libuser
Version:	0.60
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Configuration/Other
URL:		https://fedorahosted.org/libuser/
Source0:	https://fedorahosted.org/releases/l/i/libuser/%{name}-%{version}.tar.xz
Patch0:		libuser-0.56.9-fix-str-fmt.patch
Patch1:		libuser-0.57.1-blowfish.patch
Patch2:		libuser-0.56.15-fix_blowfish.patch
#------------------------------------------
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}ldap2.4_2-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: %{_lib}popt-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}sasl2-devel
BuildRequires: linuxdoc-tools
#-----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{name} < %version

%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package python
Group:		Development/Python
Summary:	Library bindings for python
Requires:	%{libname} = %{version}-%{release}
Requires:	python >= 2.7

%description python
This package contains the python library for python applications that 
use libuser.

%package ldap
Group:		System/Libraries
Summary:	Libuser ldap library
Requires:	%{libname} = %{version}-%{release}

%description ldap
This package contains the libuser ldap library.

%package -n %{libname}
Group:		System/Libraries
Summary:	The actual libraries for libuser
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the actual library for the libuser library.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Files needed for developing applications which use libuser
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d user 1

%description -n	%{develname}
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
export CFLAGS="%{optflags} -DG_DISABLE_ASSERT -I/usr/include/sasl -DLDAP_DEPRECATED"
%configure2_5x \
	--with-ldap \
	--with-python \
	--with-popt \
	--without-sasl \
	--disable-rpath \
	--without-selinux \
	--enable-gtk-doc=no
%make

%install
rm -fr %{buildroot}
%makeinstall_std

%find_lang %{name}

# Remove unpackaged files
rm -rf  %{buildroot}/usr/share/man/man3/userquota.3 \
        %{buildroot}%{py_platsitedir}/*a \
        %{buildroot}%{_libdir}/%{name}/*.la \
	%{buildroot}%{_libdir}/*.la

%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

# Verify that all python modules load, just in case.
pushd %{buildroot}/%{_libdir}/python%{pyver}/site-packages/
python -c "import libuser"
popd

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO docs/*.txt python/modules.txt
%config(noreplace) %{_sysconfdir}/libuser.conf
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}/
%attr(0755,root,root) %{_libdir}/%{name}/libuser_files.so
%attr(0755,root,root) %{_libdir}/%{name}/libuser_shadow.so
%_mandir/man5/*
%{_mandir}/man1/*

%files -n %{libname}
%attr(0755,root,root) %{_libdir}/libuser.so.%{major}*

%files python
%attr(0755,root,root) %{py_platsitedir}/*.so

%files ldap
%attr(0755,root,root) %{_libdir}/%{name}/libuser_ldap.so

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %dir %{_includedir}/libuser
%attr(0644,root,root) %{_includedir}/libuser/*
%{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*


%changelog
* Thu Jan 30 2014 bb <bb> 0.60-1pclos2014
- update

* Thu Aug 15 2013 billybot <billybot> 0.57.2-3pclos2013
- update python 2.7

* Wed Sep 14 2011 Texstar <texstar at gmail.com> 0.57.2-2pclos2011
- apply patches

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 0.57.2-1pclos2011
- 0.57.2

* Mon Nov 08 2010 Texstar <texstar at gmail.com> 0.56.18-1pclos2010
- update to 0.56.18
- default to blowfish

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 0.56.12-3pclos2010
- rebuild ldap

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 0.56.12-2pclos2010
- rebuild for python 2.6.6

* Mon Nov 09 2009 Texstar <texstar at gmail.com> 0.56.12-1pclos2010
- gcc update
- 0.56.12


